#include<bits/stdc++.h>
using namespace std;
int main()
{
    int a,b,c,d,e;
    cin>>a>>b>>c>>d>>e;
    if(d==e)
    {
        cout<<4;
    }
    if(d<e)
    {
        cout<<1;
    }


    return 0;
}
